#-------------------------------------------------
#
# Project created by QtCreator 2012-04-23T17:13:53
#
#-------------------------------------------------

QT       += core gui dbus

TARGET = ptbatterysystemtray
TEMPLATE = app

isEmpty(INSTALL_PREFIX) {
    INSTALL_PREFIX = /usr/local
}
message("INSTALL_PREFIX for make install is: "$$INSTALL_PREFIX)

SOURCES +=  main.cpp\
            gui/mainwindow.cpp \
            core/application.cpp \
            core/upower.cpp \
            core/ucpufreq.cpp \
            core/upowerdbus.cpp \
            gui/systemtray.cpp \
            core/consolekitdbus.cpp \
            core/dbuswatcher.cpp \
            gui/devicecombobox.cpp \
            gui/devicewidget.cpp \
            core/device.cpp \
            core/devicedbus.cpp \
            gui/devicestackedwidget.cpp \
            gui/batterywidget.cpp \
            gui/linepowerwidget.cpp \
            core/cpudbus.cpp \
            core/ucpufreqdbus.cpp \
            core/notificationsdbus.cpp \
            gui/settingswidget.cpp \
            gui/ucpufreqwidget.cpp \
            gui/ucpufreqtablewidget.cpp

HEADERS  += gui/mainwindow.h \
            core/application.h \
            core/upower.h \
            core/ucpufreq.h \
            core/upowerdbus.h \
            gui/systemtray.h \
            core/consolekitdbus.h \
            core/dbuswatcher.h \
            core/config.h \
            gui/devicecombobox.h \
            gui/devicewidget.h \
            core/device.h \
            core/devicedbus.h \
            gui/devicestackedwidget.h \
            gui/batterywidget.h \
            gui/linepowerwidget.h \
            core/cpudbus.h \
            core/ucpufreqdbus.h \
            core/notificationsdbus.h \
            gui/settingswidget.h \
            gui/ucpufreqwidget.h \
            gui/ucpufreqtablewidget.h

FORMS    += gui/mainwindow.ui \
            gui/battery.ui \
            gui/linepower.ui \
            gui/settingswidget.ui \
            gui/ucpufreqwidget.ui

RESOURCES += \
            gui/image.qrc


# make install
target.path = $$INSTALL_PREFIX/bin/

desktop.files = ptbatterysystemtray.desktop
desktop.path = $$INSTALL_PREFIX/share/applications/

icon.files = ptbatterysystemtray.png
icon.path = $$INSTALL_PREFIX/share/pixmaps/

INSTALLS += target desktop icon

# make dist
# Warning: make dist is broken in qmake generator. Unfortunately we have to use hand-made script...
#DISTFILES += AUTHORS LICENCE NEWS ptbatterysystemtray.desktop ChangeLog ptbatterysystemtray.png README
#message("DISTFILES: "$$DISTFILES)
